QGIS Application - Bug report #10065
QGIS 2.2 Attribute Editor Layout “Drag and Drop designer” Field does not exist in datasource
2014-04-14 03:48 AM - Jan Van Bennekom-Minnema

Status: Closed

Priority: Normal

Assignee: Matthias Kuhn

Category:

Affected QGIS version:2.2.0 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 18541
Description

During experimenting with QGIS version 2.2 "Relations" where Foreign Key relations from a database can be documented, so that the
QGIS Ul can (auto) generate its Attribute Editor Layout in Master-Detail / Parent-Child forms. See
http:/gis.stackexchange.com/questions/91991, there seems to be a bug with DragAndDrop attribute editor layout, an error message

"Error: Field does not exist in datasource" appears in the place of the detail layer/relation.

Associated revisions

Revision 35de393d - 2014-05-25 06:38 PM - Matthias Kuhn

Correctly load dnd relations in fields properties
Fix #10065

History

#1 - 2014-04-17 05:02 AM - Julien Perrot
- Target version set to Version 2.2

More information about it :

- The first time the relation is added to the form, it's correctly saved in the project (as a "attributeEditorRelation" in the XML)

- Then if we save again the properties of the cocnerned layer, an error apperaed (it's transformed into a "attributeEditorField", with bad index and name in
the XML)

#2 - 2014-04-30 07:13 AM - Marianne Aubert

- Assignee set to Matthias Kuhn

#3 - 2014-05-23 12:55 AM - Paolo Cavallini

Confirmed here on current master.

#4 - 2014-05-25 09:38 AM - Matthias Kuhn
- Status changed from Open to Closed

Fixed in changeset commit:"35de393d8d1bc502c0e61848ab98b58803fefeas".
